Subject: RE: WG next steps

From: "Tony Li" <[email-masked]>
Date: Thu, 14 Nov 2002 17:37:13 -0800

|   The interaction is more complex.
|   
|   For example, if the current path fails, it is detected by the
|   transport/applicaiton layer. Thus, it is necessary for the
|   transport/application layer tell the network layer use an 
|   alternative
|   locator.
|   
|   Later, as the original path may be resumed, it is also necessary
|   for the transport/application layer tell the network layer try an
|   old locator. Note that there may be several old locators.
|   
|   To do so, transport/application layer and network layer must have
|   common identification mechanism of locators.
|   
|   It is much easier for the transport/applicaiton layer to handle
|   locators directly. Then, all the information necessary for
|   transport/application layer control is included in the IP header.

All of this could be handled by a set of opaque handles to locators,
without the direct interaction of the transport layer and the 
locators.

Tony

---

From: Peter Tattam <[email-masked]>
Date: Fri, 15 Nov 2002 12:50:01 +1100 (EST)

> without the direct interaction of the transport layer and the 

If you did this, wouldn't you degenerate into something resembling the DFZ
as it stands in IPv4.  Is what you are proposing is some kind of global ARP
system?  I had suggested something like this a few years back and it was
rejected pretty much on the the grounds that a global cloud just may not scale.

Perhaps I just misunderstand.  There have been so many ideas and opinions
floating around that it's hard to keep track of them all.

> Tony

Peter

--
Peter R. Tattam                            [email-masked]
Managing Director,    Trumpet Software International Pty Ltd
Hobart, Australia,  Ph. +61-3-6245-0220,  Fax +61-3-62450210

---

From: Masataka Ohta <[email-masked]>
Date: Fri, 15 Nov 2002 10:54:49 +0859 ()

Tony Li;

> All of this could be handled by a set of opaque handles to locators,

That's what I'm saying.

> without the direct interaction of the transport layer and the 

But, it is much easier.

Have an engineering point of view.

							Masataka Ohta